import 'package:imi/src/data/network/response/news_details_response.dart';

///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class NewsData {
/*
{
  "createdDate": 1652158502343,
  "id": 1,
  "imageUrl": "String",
  "title": "DCI level"
}
*/
  String? author;
  int? createdDate;
  int? id;
  String? imageUrl;
  String? title;

  NewsData({
    this.author,
    this.createdDate,
    this.id,
    this.imageUrl,
    this.title,
  });
  NewsData.fromJson(Map<String, dynamic> json) {
    author = json['author'].toString();
    createdDate = json['createdDate']?.toInt();
    id = json['id']?.toInt();
    imageUrl = json['imageUrl']?.toString();
    title = json['title']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['author'] = author;
    data['createdDate'] = createdDate;
    data['id'] = id;
    data['imageUrl'] = imageUrl;
    data['title'] = title;
    return data;
  }
}

class NewsDataFetch {
/*
{
  "total": 1,
  "nextToken": "MQ==",
  "data": [
    {
      "createdDate": 1652158502343,
      "id": 1,
      "imageUrl": "String",
      "title": "DCI level"
    }
  ]
}
*/

  int? total;
  String? nextToken;
  List<NewsData>? data;

  NewsDataFetch({
    this.total,
    this.nextToken,
    this.data,
  });
  NewsDataFetch.fromJson(Map<String, dynamic> json) {
    total = json['total']?.toInt();
    nextToken = json['nextToken']?.toString();
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <NewsData>[];
      v.forEach((v) {
        arr0.add(NewsData.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['total'] = total;
    data['nextToken'] = nextToken;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}

class NewsResponse {
/*
{
  "fetchNews": {
    "total": 1,
    "nextToken": "MQ==",
    "data": [
      {
        "createdDate": 1652158502343,
        "id": 1,
        "imageUrl": "String",
        "title": "DCI level"
      }
    ]
  }
}
*/

  NewsDataFetch? fetchNews;

  NewsResponse({
    this.fetchNews,
  });
  NewsResponse.fromJson(Map<String, dynamic> json) {
    fetchNews = (json['fetchNews'] != null)
        ? NewsDataFetch.fromJson(json['fetchNews'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchNews != null) {
      data['fetchNews'] = fetchNews!.toJson();
    }
    return data;
  }
}

class News {
/*
{
  "data": {
    "fetchNews": {
      "total": 1,
      "nextToken": "MQ==",
      "data": [
        {
          "createdDate": 1652158502343,
          "id": 1,
          "imageUrl": "String",
          "title": "DCI level"
        }
      ]
    }
  }
}
*/

  NewsResponse? data;

  News({
    this.data,
  });
  News.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null) ? NewsResponse.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
